| Apache Ignite C++

Namespaces | Classes | Functions | Variables
ignite Namespace Reference

Apache Ignite API. More...

## Namespaces
| binary
| Ignite Binary Objects API.
| cache
| Ignite Cache API.
| thin
| Ignite Thin Client API.
| transactions
| Ignite Transaction API.

## Classes
class | ConstReference
| Constant Reference class. More...
class | Date
| Date type. More...
class | Future
| Future class template. More...
class | Future< common::concurrent::SharedPointer< T > >
| Specialization for shared pointer. More...
class | Future< void >
| Specialization for void type. More...
class | Guid
| Global universally unique identifier (GUID). More...
class | Ignite
| Main interface to operate with Ignite. More...
class | IgniteBinding
| Ignite Binding. More...
class | IgniteBindingContext
| Ignite binding context. More...
struct | IgniteConfiguration
| Ignite configuration. More...
class | IgniteError
| Ignite error information. More...
class | IgnitePredicate
| IgnitePredicate base class. More...
struct | IgniteProductVersion
| Ignite product version. More...
class | Ignition
| This class defines a factory for the main Ignite API. More...
class | JvmOptions
| JVM options. More...
class | Reference
| Reference class. More...
class | Time
| Time type. More...
class | Timestamp
| Timestamp type. More...

## Functions
std::string | JvmMemoryString (const std::string &prefix, int32_t val)
| Convert integer value to string.
template<typename C >
::std::basic_ostream< C > & | operator<< (std::basic_ostream< C > &os, const Guid &guid)
| Output operator. More...
template<typename C >
::std::basic_istream< C > & | operator>> (std::basic_istream< C > &is, Guid &guid)
| Input operator. More...
template<typename T >
Reference< typename T::element_type > | MakeReferenceFromSmartPointer (T ptr)
| Make ignite::Reference instance out of smart pointer. More...
template<typename T >
ConstReference< typename T::element_type > | MakeConstReferenceFromSmartPointer (T ptr)
| Make ignite::ConstReference instance out of smart pointer. More...
template<typename T >
Reference< T > | MakeReferenceFromCopy (const T &val)
| Copy object and wrap it to make ignite::Reference instance. More...
template<typename T >
ConstReference< T > | MakeConstReferenceFromCopy (const T &val)
| Copy object and wrap it to make ignite::ConstReference instance. More...
template<typename T >
Reference< T > | MakeReferenceFromOwningPointer (T *val)
| Make ignite::Reference instance out of pointer and pass its ownership. More...
template<typename T >
ConstReference< T > | MakeConstReferenceFromOwningPointer (T *val)
| Make ignite::ConstReference instance out of pointer and pass its ownership. More...
template<typename T >
Reference< T > | MakeReference (T &val)
| Make ignite::Reference instance out of reference. More...
template<typename T >
Reference< T > | MakeReference (T *val)
| Make ignite::Reference instance out of pointer. More...
template<typename T >
ConstReference< T > | MakeConstReference (const T &val)
| Make ignite::ConstReference instance out of constant reference. More...
template<typename T >
ConstReference< T > | MakeConstReference (const T *val)
| Make ignite::ConstReference instance out of constant pointer. More...
bool | operator== (const Date &val1, const Date &val2)
bool | operator!= (const Date &val1, const Date &val2)
bool | operator< (const Date &val1, const Date &val2)
bool | operator<= (const Date &val1, const Date &val2)
bool | operator> (const Date &val1, const Date &val2)
bool | operator>= (const Date &val1, const Date &val2)
bool | operator== (const Guid &val1, const Guid &val2)
bool | operator!= (const Guid &val1, const Guid &val2)
bool | operator< (const Guid &val1, const Guid &val2)
bool | operator<= (const Guid &val1, const Guid &val2)
bool | operator> (const Guid &val1, const Guid &val2)
bool | operator>= (const Guid &val1, const Guid &val2)
bool | operator== (const Time &val1, const Time &val2)
bool | operator!= (const Time &val1, const Time &val2)
bool | operator< (const Time &val1, const Time &val2)
bool | operator<= (const Time &val1, const Time &val2)
bool | operator> (const Time &val1, const Time &val2)
bool | operator>= (const Time &val1, const Time &val2)
bool | operator== (const Timestamp &val1, const Timestamp &val2)
bool | operator!= (const Timestamp &val1, const Timestamp &val2)
bool | operator< (const Timestamp &val1, const Timestamp &val2)
bool | operator<= (const Timestamp &val1, const Timestamp &val2)
bool | operator> (const Timestamp &val1, const Timestamp &val2)
bool | operator>= (const Timestamp &val1, const Timestamp &val2)

## Variables
const char * | DFLT_CFG = "config/default-config.xml"
| Default configuration.
bool | JVM_LIB_LOADED
| Whether JVM library is loaded to the process.
CriticalSection | factoryLock
| Critical section for factory methods.
bool | started = false
| Flag indicating that at least one Ignite instance has started.

## Detailed Description

Apache Ignite API.

## Function Documentation

## ◆ MakeConstReference() [1/2]

template<typename T >

ConstReference<T> ignite::MakeConstReference | ( | const T & | val | ) |

Make ignite::ConstReference instance out of constant reference.

Ignite do not manage passed object and does not affect its lifetime.

There are no requirements for the template type T.

Parameters

  val | Reference.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeConstReference() [2/2]

template<typename T >

ConstReference<T> ignite::MakeConstReference | ( | const T * | val | ) |

Make ignite::ConstReference instance out of constant pointer.

Ignite do not manage passed object and does not affect its lifetime.

There are no requirements for the template type T.

Parameters

  val | Reference.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeConstReferenceFromCopy()

template<typename T >

ConstReference<T> ignite::MakeConstReferenceFromCopy | ( | const T & | val | ) |

Copy object and wrap it to make ignite::ConstReference instance.

Template type 'T' should be copy-constructible.

Parameters

  val | Instance.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeConstReferenceFromOwningPointer()

template<typename T >

ConstReference<T> ignite::MakeConstReferenceFromOwningPointer | ( | T * | val | ) |

Make ignite::ConstReference instance out of pointer and pass its ownership.

Passed object deleted by Ignite when no longer needed.

There are no requirements for the template type T.

Parameters

  val | Instance.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeConstReferenceFromSmartPointer()

template<typename T >

ConstReference<typename T::element_type> ignite::MakeConstReferenceFromSmartPointer | ( | T | ptr | ) |

Make ignite::ConstReference instance out of smart pointer.

Template type 'T' should be a smart pointer and provide pointer semantics:

- There should be defined type 'T::element_type', showing underlying type.
- Type 'T' should be dereferencible (should have operators T::element_type& operator*() and const T::element_type& operator*() const).
- Operation std::swap should result in valid result if applied to two instances of that type.

Parameters

  ptr | Pointer.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeReference() [1/2]

template<typename T >

Reference<T> ignite::MakeReference | ( | T & | val | ) |

Make ignite::Reference instance out of reference.

Ignite do not manage passed object and does not affect its lifetime.

There are no requirements for the template type T.

Parameters

  val | Reference.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeReference() [2/2]

template<typename T >

Reference<T> ignite::MakeReference | ( | T * | val | ) |

Make ignite::Reference instance out of pointer.

Ignite do not manage passed object and does not affect its lifetime.

There are no requirements for the template type T.

Parameters

  val | Reference.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeReferenceFromCopy()

template<typename T >

Reference<T> ignite::MakeReferenceFromCopy | ( | const T & | val | ) |

Copy object and wrap it to make ignite::Reference instance.

Template type 'T' should be copy-constructible.

Parameters

  val | Instance.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeReferenceFromOwningPointer()

template<typename T >

Reference<T> ignite::MakeReferenceFromOwningPointer | ( | T * | val | ) |

Make ignite::Reference instance out of pointer and pass its ownership.

Passed object deleted by Ignite when no longer needed.

There are no requirements for the template type T.

Parameters

  val | Instance.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ MakeReferenceFromSmartPointer()

template<typename T >

Reference<typename T::element_type> ignite::MakeReferenceFromSmartPointer | ( | T | ptr | ) |

Make ignite::Reference instance out of smart pointer.

Template type 'T' should be a smart pointer and provide pointer semantics:

- There should be defined type 'T::element_type', showing underlying type.
- Type 'T' should be dereferencible (should have operators T::element_type& operator*() and const T::element_type& operator*() const).
- Operation std::swap should result in valid result if applied to two instances of that type.

Parameters

  ptr | Pointer.

Returns
  Implementation defined value. User should not explicitly use the returned value.

## ◆ operator!=() [1/4]

bool ignite::operator!= | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if not equal.

## ◆ operator!=() [2/4]

bool ignite::operator!= | ( | const Guid & | val1,
|  | const Guid & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if not equal.

## ◆ operator!=() [3/4]

bool ignite::operator!= | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if not equal.

## ◆ operator!=() [4/4]

bool ignite::operator!= | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if not equal.

## ◆ operator<() [1/4]

bool ignite::operator< | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less.

## ◆ operator<() [2/4]

bool ignite::operator< | ( | const Guid & | val1,
|  | const Guid & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less.

## ◆ operator<() [3/4]

bool ignite::operator< | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less.

## ◆ operator<() [4/4]

bool ignite::operator< | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less.

## ◆ operator<<()

template<typename C >

::std::basic_ostream<C>& ignite::operator<< | ( | std::basic_ostream< C > & | os,
|  | const Guid & | guid
| ) |  |

Output operator.

Parameters

  os | Output stream.
  guid | Guid to output.

Returns
  Reference to the first param.

## ◆ operator<=() [1/4]

bool ignite::operator<= | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less or equal.

## ◆ operator<=() [2/4]

bool ignite::operator<= | ( | const Guid & | val1,
|  | const Guid & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less or equal.

## ◆ operator<=() [3/4]

bool ignite::operator<= | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less or equal.

## ◆ operator<=() [4/4]

bool ignite::operator<= | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less or equal.

## ◆ operator==() [1/4]

bool ignite::operator== | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if equal.

## ◆ operator==() [2/4]

bool ignite::operator== | ( | const Guid & | val1,
|  | const Guid & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if equal.

## ◆ operator==() [3/4]

bool ignite::operator== | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if equal.

## ◆ operator==() [4/4]

bool ignite::operator== | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if equal.

## ◆ operator>() [1/4]

bool ignite::operator> | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter.

## ◆ operator>() [2/4]

bool ignite::operator> | ( | const Guid & | val1,
|  | const Guid & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if greater.

## ◆ operator>() [3/4]

bool ignite::operator> | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter.

## ◆ operator>() [4/4]

bool ignite::operator> | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter.

## ◆ operator>=() [1/4]

bool ignite::operator>= | ( | const Date & | val1,
|  | const Date & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter or equal.

## ◆ operator>=() [2/4]

bool ignite::operator>= | ( | const Guid & | val1,
|  | const Guid & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if greater or equal.

## ◆ operator>=() [3/4]

bool ignite::operator>= | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter or equal.

## ◆ operator>=() [4/4]

bool ignite::operator>= | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter or equal.

## ◆ operator>>()

template<typename C >

::std::basic_istream<C>& ignite::operator>> | ( | std::basic_istream< C > & | is,
|  | Guid & | guid
| ) |  |

Input operator.

Parameters

  is | Input stream.
  guid | Guid to input.

Returns
  Reference to the first param.